echo.
echo ********************************************************
echo                    CONVIERTE ARCHIVOS ZXP A  BIN 
echo ********************************************************

REM Cambiar a la carpeta de los ZXP
REM Ejecutar scripts con ruta relativa a Python y ZXP

cd /d "%MC_ZXP%"


python %TOOLS_PY%\zxb2bin.py 0 n mc_std.zxp  2 3 0 0 1 4 1 1 0 5 2 2 0 5 3 3 0 5 4 4 1 4 5 5 1 4 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_std_back.zxp 2 3 0 0 1 4 1 1 0 5 2 2 0 5 3 3 0 5 4 4 1 4 5 5 1 4 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_sup_wr1.zxp 1 1 0 0 0 4 1 1 0 4 2 2 0 1 3 3
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_sup_wr2.zxp 1 1 0 0 0 2 1 1 0 4 2 2 0 4 3 3
IF ERRORLEVEL 1 goto compilerError

rem python %TOOLS_PY%\uneArchivosBas.py burt_sup_wr 2

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr1.zxp 0 2 0 0 0 2 1 1 0 1 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr2.zxp 1 2 0 0 0 3 1 1 1 3 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr3.zxp 0 1 0 0 0 1 1 1 0 1 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr4.zxp 0 2 0 0 0 2 1 1 0 1 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr5.zxp 0 1 0 0 0 2 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr6.zxp 0 1 0 0 0 1 1 1 0 1 2 2
IF ERRORLEVEL 1 goto compilerError

 
rem python %TOOLS_PY%\uneArchivosBas.py burt_inf_wr 7


python %TOOLS_PY%\zxb2bin.py 0 l mc_sup_wl1.zxp  3 3 0 0 0 4 1 1 0 4 2 2 3 4 3 3
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_sup_wl2.zxp  3 3 0 0 2 4 1 1 0 4 2 2 0 4 3 3
IF ERRORLEVEL 1 goto compilerError

rem python C:\programas\retro\spectrum\utilidades\paintb2boriel\uneArchivosBas.py burt_sup_wl 2

REM  ***  GENERANDO ANIMATION FRAMES MC LOWER LEFT

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl1.zxp 0 2 0 0 0 2 1 1 1 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl2.zxp 1 2 0 0 0 3 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl3.zxp 0 1 0 0 0 1 1 1 0 1 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl4.zxp 0 2 0 0 0 2 1 1 1 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl5.zxp 1 2 0 0 0 2 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl6.zxp 0 1 0 0 0 1 1 1 0 1 2 2
IF ERRORLEVEL 1 goto compilerError


python %TOOLS_PY%\zxb2bin.py 0 n mc_eyes.zxp 0 7 0 0
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_mouth.zxp 0 5 0 0 
IF ERRORLEVEL 1 goto compilerError


rem python C:\programas\retro\spectrum\utilidades\paintb2boriel\uneArchivosBas.py burt_inf_wl 7

rem python %TOOLS_PY%\zxb2bin.py 0 n negro.zxp 0 0 0 0 

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd1.zxp 0 3 0 0 0 4 1 1 0 5 2 2 0 5 3 3 1 5 4 4 1 4 5 5 2 4 6 6  
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd2.zxp 0 3 0 0 0 4 1 1 0 5 2 2 0 5 3 3 2 4 4 4 1 4 5 5 1 2 6 6 
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd3.zxp 2 5 0 0 1 5 1 1 0 5 2 2 0 5 3 3 0 4 4 4 1 4 5 5 1 2 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd4.zxp 2 5 0 0 1 5 1 1 0 5 2 2 0 5 3 3 1 3 4 4 1 4 5 5 3 4 6 6
IF ERRORLEVEL 1 goto compilerError

 
python %TOOLS_PY%\zxb2bin.py 0 n mc_wu1.zxp 2 5 0 0 1 5 1 1 0 5 2 2 0 5 3 3 0 3 4 4 2 4 5 5 1 4 6 6 1 2 7 7
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu2.zxp 2 3 0 0 1 4 1 1 0 5 2 2 0 5 3 3 0 5 4 4 1 4 5 5 1 4 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu3.zxp 0 5 0 0 0 4 1 1 0 5 2 2 0 5 3 3 2 5 4 4 1 3 5 5 1 4 6 6 3 4 7 7
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu4.zxp 2 3 0 0 1 4 1 1 0 5 2 2 0 5 3 3 0 5 4 4 1 4 5 5 1 4 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n wife.zxp 2 3 0 0 1 4 1 1 1 4 2 2 0 5 3 3 0 5 4 4 0 5 5 5 0 5 6 6 0 5 7 7
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n suitcase.zxp 0 3 0 0 0 3 1 1 0 3 2 2 
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n wife_mouth.zxp 0 3 0 0  
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n foot.zxp 0 4 0 0 0 4 1 1  
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n sleep_eye.zxp 0 0 0 0   
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n zzz.zxp 0 2 0 0 0 2 1 1 0 0 2 2  
IF ERRORLEVEL 1 goto compilerError

REM Mover todos los archivos generados
move /Y *.bin "%BIN_DIR%"
move /Y *.txt "%TXT_DIR%"
move /Y *.bas "%BAS_DIR%"
cd /d "%CUR_DIR%"




echo.
echo ********************************************************
echo                    GENERA CONTAINER SCREEN
echo ********************************************************
rem primer argumento path y nombre del archivo a crear , segundo argumento cantidad de bytes en blanco
rem 2722  = 768 +96 +768 + 96+ 97*9 + 121
rem donde 768 es el screen en tiles, 96 es la paleta adicional(252 tiles mas), el otro 768 es el screen de tiles de objetos,
rem  96 es la layerDeUnion para un y determinado
rem 97*9 son las layers a cada nivel del y, donde el primer byte es el y de layer y luego los 96 siguientes son el bitmap de la misma
rem 121 son 30 limites para la pantalla activa, el ultimo byte es necesario para indicar que no hay mas limites (tiene que estar en 0)
python  %TOOLS_PY%\generaBinarioVacio.py %BIN_DIR%\ADR_SCREEN_TILE_MAP.bin 2722
IF ERRORLEVEL 1 goto compilerError

python  %TOOLS_PY%\generaBinarioVacio.py %BIN_DIR%\empty_layer.bin 96
IF ERRORLEVEL 1 goto compilerError

echo.
echo ********************************************************
echo                    GENERA PALETA 
echo ********************************************************


python  %TOOLS_PY%\divideZxp.py %PALETA%\paletaA.zxp 8 %PALETA%\paletaA
IF ERRORLEVEL 1 goto compilerError

python  %TOOLS_PY%\divideZxp.py %PALETA%\paletaB.zxp 8 %PALETA%\paletaB
IF ERRORLEVEL 1 goto compilerError

for /L %%i in (1,1,9) do (
        python %TOOLS_PY%\zxb2bin.py 0 n %PALETA%\paletaA%%i.zxp 0 27 0 0
	IF ERRORLEVEL 1 goto compilerError
	python %TOOLS_PY%\zxb2bin.py 0 n %PALETA%\paletaB%%i.zxp 0 27 0 0
	IF ERRORLEVEL 1 goto compilerError
	)

python %TOOLS_PY%\uneBinariosZxp.py %PALETA%\paletaA
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\uneBinariosZxp.py %PALETA%\paletaB
IF ERRORLEVEL 1 goto compilerError


for /L %%i in (1,1,9) do (
        del "%PALETA%\paletaA%%i.zxp"
        if errorlevel 1 goto compilerError

	del "%PALETA%\paletaB%%i.zxp"
        if errorlevel 1 goto compilerError

	del "%PALETA%\paletaA%%i.txt"
        if errorlevel 1 goto compilerError

	del "%PALETA%\paletaB%%i.txt"
        if errorlevel 1 goto compilerError

	del "%PALETA%\paletaA%%i.bin"
        if errorlevel 1 goto compilerError

	del "%PALETA%\paletaB%%i.bin"
        if errorlevel 1 goto compilerError

	del "%PALETA%\paletaA%%i.bas"
        if errorlevel 1 goto compilerError
	
	del "%PALETA%\paletaB%%i.bas"
        if errorlevel 1 goto compilerError
    )



del %PALETA%\paleta_log.txt
IF ERRORLEVEL 1 goto compilerError


move /Y %PALETA%\*.bin "%BIN_DIR%"
move /Y %PALETA%\*.txt "%TXT_DIR%"

REM ******************************************************
REM *******************CREA PALETA OBJETOS****************
REM ******************************************************


rem *********** RELOJ

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\reloj.zxp 0 2 0 0 0 2 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO1.bin  del /f /q %OBJETOS%\paletaO1.bin
IF ERRORLEVEL 1 goto compilerError

rename %OBJETOS%\reloj.bin paletaO1.bin
rename %OBJETOS%\reloj.txt paletaO1.txt
del %OBJETOS%\reloj.bas 


del %OBJETOS%\reloj.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\reloj.txt
IF ERRORLEVEL 1 goto compilerError

rem *********** FLORERO

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\florero.zxp 0 2 0 0 0 2 1 1 0 2 2 2 0 2 3 3
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO2.bin  del /f /q %OBJETOS%\paletaO2.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\florero.bin paletaO2.bin
rename %OBJETOS%\florero.txt paletaO2.txt
del %OBJETOS%\florero.bas 

del %OBJETOS%\florero.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\florero.txt
IF ERRORLEVEL 1 goto compilerError

rem *********** PECERA

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\pecera.zxp 0 3 0 0 0 3 1 1 0 3 2 2
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO3.bin  del /f /q %OBJETOS%\paletaO3.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\pecera.bin paletaO3.bin
rename %OBJETOS%\pecera.txt paletaO3.txt
del %OBJETOS%\pecera.bas 

del %OBJETOS%\pecera.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\pecera.txt
IF ERRORLEVEL 1 goto compilerError

rem ************** BOTELLA ACOSTADA

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\botellaA.zxp 0 3 0 0 0 3 1 1 
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO4.bin  del /f /q %OBJETOS%\paletaO4.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\botellaA.bin paletaO4.bin
rename %OBJETOS%\botellaA.txt paletaO4.txt
del %OBJETOS%\botellaA.bas 

del %OBJETOS%\botellaA.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\botellaA.txt
IF ERRORLEVEL 1 goto compilerError


rem ************** LAMPARA

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\lampara.zxp 1 1 0 0 0 2 1 1 1 1 2 2 0 2 3 3
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO5.bin  del /f /q %OBJETOS%\paletaO5.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\lampara.bin paletaO5.bin
rename %OBJETOS%\lampara.txt paletaO5.txt
del %OBJETOS%\lampara.bas 

del %OBJETOS%\lampara.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\lampara.txt
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\burbuja.zxp 0 1 0 0 0 1 1 1 
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO6.bin  del /f /q %OBJETOS%\paletaO6.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\burbuja.bin paletaO6.bin
rename %OBJETOS%\burbuja.txt paletaO6.txt
del %OBJETOS%\burbuja.bas 

del %OBJETOS%\burbuja.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\burbuja.txt
IF ERRORLEVEL 1 goto compilerError

rem ************** PECERA ROTA

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\pecerarota.zxp 0 2 0 0 0 4 1 1 0 4 2 2
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO7.bin  del /f /q %OBJETOS%\paletaO7.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\pecerarota.bin paletaO7.bin
rename %OBJETOS%\pecerarota.txt paletaO7.txt
del %OBJETOS%\pecerarota.bas 

del %OBJETOS%\pecerarota.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\pecerarota.txt
IF ERRORLEVEL 1 goto compilerError


rem ************** NOTEBOOK

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\notebook.zxp 2 3 0 0 2 3 1 1 0 3 2 2 0 3 3 3
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO8.bin  del /f /q %OBJETOS%\paletaO8.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\notebook.bin paletaO8.bin
rename %OBJETOS%\notebook.txt paletaO8.txt
del %OBJETOS%\notebook.bas 

del %OBJETOS%\notebook.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\notebook.txt
IF ERRORLEVEL 1 goto compilerError

rem ************** LAPIDA

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\lapida.zxp 0 3 0 0 0 3 1 1 0 3 2 2 0 3 3 3 0 3 4 4
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO9.bin  del /f /q %OBJETOS%\paletaO9.bin
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\lapida.bin paletaO9.bin
rename %OBJETOS%\lapida.txt paletaO9.txt
del %OBJETOS%\notebook.bas 

del %OBJETOS%\lapida.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\lapida.txt
IF ERRORLEVEL 1 goto compilerError


rem ****************UNE TODOS LOS BINARIOS Y ARMA LA PALETA

python %TOOLS_PY%\uneBinariosZxp.py %OBJETOS%\paletaO
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO_log.txt del /f /q %OBJETOS%\paletaO_log.txt

for /L %%i in (1,1,9) do (
        del "%OBJETOS%\paletaO%%i.zxp"
        if errorlevel 1 goto compilerError

	del "%OBJETOS%\paletaO%%i.txt"
        if errorlevel 1 goto compilerError
	

	del "%OBJETOS%\paletaO%%i.bin"
        if errorlevel 1 goto compilerError

	del "%OBJETOS%\paletaO%%i.bas"
        if errorlevel 1 goto compilerError
	
    )


if exist "%BIN_DIR%\paletaO.bin" del /f /q "%BIN_DIR%\paletaO.bin"
move %OBJETOS%\paletaO.bin %BIN_DIR%

if exist "%BIN_DIR%\paletaO.txt" del /f /q "%BIN_DIR%\paletaO.txt"
move %OBJETOS%\paletaO.txt %BIN_DIR%\txts


if exist "%BIN_DIR%\objects_Map.bin" del /f /q "%BIN_DIR%\objects_Map.bin"
copy %OBJETOS%\objects_Map.bin %BIN_DIR%

if exist "%BIN_DIR%\objects_Map.txt" del /f /q "%BIN_DIR%\objects_Map.txt"
copy %OBJETOS%\objects_Map.txt %BIN_DIR%\txts


echo ***********************************************************
echo                    LOAD INITIAL IMAGE
echo ***********************************************************

if exist "%BIN_DIR%\partuza_IMG.bin" del /f /q "%BIN_DIR%\partuza_IMG.bin"
IF ERRORLEVEL 1 goto compilerError

copy %SCREENS%\partuza_IMG.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\partuza_IMG.txt" del /f /q "%BIN_DIR%\txts\partuza_IMG.txt"
IF ERRORLEVEL 1 goto compilerError

copy %SCREENS%\partuza_IMG.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError


